{% block sw_cms_element_icon_text_element_config %}
	<div class="sw-cms-el-config-icon-text-element">
		
		<sw-select-field :label="$tc('sw-cms.elements.fourColBenefits.config.label.benefitIcon')"
			v-model="element.config.elementIcon.value"
			:placeholder="$tc('sw-cms.elements.fourColBenefits.config.label.benefitIcon')">
			<option value="heart">{{ $tc('sw-cms.elements.fourColBenefits.config.label.heart') }}</option>
			<option value="star">{{ $tc('sw-cms.elements.fourColBenefits.config.label.star') }}</option>
			<option value="madeinde">{{ $tc('sw-cms.elements.fourColBenefits.config.label.germany') }}</option>
			<option value="delivery">{{ $tc('sw-cms.elements.fourColBenefits.config.label.shipping') }}</option>
			<option value="wheat">{{ $tc('sw-cms.elements.fourColBenefits.config.label.wheat') }}</option>
		</sw-select-field>
		
		<sw-text-editor 
			v-model="element.config.elementText.value"
			:label="$tc('sw-cms.elements.iconTextElement.config.label.elementText')"
			:placeholder="$tc('sw-cms.elements.iconTextElement.config.label.elementTextPlaceholder')"
			:isInlineEdit="false"/>
		
		<sw-field class="digi-subtext-field"
			v-model="element.config.elementSubtext.value"
			type="text"
			:label="$tc('sw-cms.elements.iconTextElement.config.label.elementSubtext')"
			:placeholder="$tc('sw-cms.elements.iconTextElement.config.label.elementSubtextPlaceholder')">
		</sw-field>
		
		<sw-field class="digi-number-field"
			v-model="element.config.elementValue.value"
			type="text"
			:label="$tc('sw-cms.elements.iconTextElement.config.label.elementValue')"
			:placeholder="$tc('sw-cms.elements.iconTextElement.config.label.elementValuePlaceholder')">
		</sw-field>
		{#
		<sw-media-field v-model="element.config.elementVisuals.value" :label="$tc('sw-cms.elements.iconTextElement.config.label.elementVisuals')"></sw-media-field>
		#}
		<sw-media-list-selection-v2
			:entityMediaItems="mediaItems"
			:entity="enitiy"
			:uploadTag="uploadTag"
			:defaultFolder="defaultFolderName"
			@upload-finish="onImageUpload"
			@item-remove="onItemRemove"
			@open-sidebar="onOpenMediaModal">
		</sw-media-list-selection-v2>
		
		<sw-media-modal-v2
			variant="regular"
			v-if="mediaModalIsOpen"
			:caption="$tc('sw-cms.elements.general.config.caption.mediaUpload')"
			:entityContext="cmsPageState.entityName"
			:initialFolderId="cmsPageState.defaultMediaFolderId"
			@media-upload-remove-image="onItemRemove"
			@media-modal-selection-change="onMediaSelectionChange"
			@modal-close="onCloseMediaModal">
		</sw-media-modal-v2>
		
	</div>
{% endblock %}